from django import forms
from .models import Helper

class RegisterForm(forms.Form):
    name =  forms.CharField(max_length=Helper.name.field.max_length, label="Name")
    # actually verify phone number, lol
    phone =  forms.CharField(max_length=Helper.phone.field.max_length, label='Handynummer fuer Benarchrichtigungen')
    okf = forms.BooleanField(label='Ich moechte SMS erhalten')

# placeholder form for simple submit button use cases so we get csrf protection
class EmptyForm(forms.Form):
    pass